# Class FramePropertiesAttributes

#### Hierarchy

- XmlAttributeComponent<{ alignmentX?: HorizontalPositionAlign; alignmentY?: VerticalPositionAlign; anchorHorizontal?: FrameAnchorType; anchorLock?: boolean; anchorVertical?: FrameAnchorType; dropCap?: DropCapType; height: number; lines?: number; rule?: HeightRule; spaceHorizontal?: number; spaceVertical?: number; width: number; wrap?: FrameWrap; x?: number; y?: number }>
  - FramePropertiesAttributes

- Defined in src/file/paragraph/frame/frame-properties.ts:63

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new FramePropertiesAttributes(properties: { alignmentX?: HorizontalPositionAlign; alignmentY?: VerticalPositionAlign; anchorHorizontal?: FrameAnchorType; anchorLock?: boolean; anchorVertical?: FrameAnchorType; dropCap?: DropCapType; height: number; lines?: number; rule?: HeightRule; spaceHorizontal?: number; spaceVertical?: number; width: number; wrap?: FrameWrap; x?: number; y?: number }): FramePropertiesAttributes

- #### Parameters

  - ##### properties: { alignmentX?: HorizontalPositionAlign; alignmentY?: VerticalPositionAlign; anchorHorizontal?: FrameAnchorType; anchorLock?: boolean; anchorVertical?: FrameAnchorType; dropCap?: DropCapType; height: number; lines?: number; rule?: HeightRule; spaceHorizontal?: number; spaceVertical?: number; width: number; wrap?: FrameWrap; x?: number; y?: number }

    - ##### `Optional` `Readonly` alignmentX?: HorizontalPositionAlign

    - ##### `Optional` `Readonly` alignmentY?: VerticalPositionAlign

    - ##### `Optional` `Readonly` anchorHorizontal?: FrameAnchorType

    - ##### `Optional` `Readonly` anchorLock?: boolean

    - ##### `Optional` `Readonly` anchorVertical?: FrameAnchorType

    - ##### `Optional` `Readonly` dropCap?: DropCapType

    - ##### `Readonly` height: number

    - ##### `Optional` `Readonly` lines?: number

    - ##### `Optional` `Readonly` rule?: HeightRule

    - ##### `Optional` `Readonly` spaceHorizontal?: number

    - ##### `Optional` `Readonly` spaceVertical?: number

    - ##### `Readonly` width: number

    - ##### `Optional` `Readonly` wrap?: FrameWrap

    - ##### `Optional` `Readonly` x?: number

    - ##### `Optional` `Readonly` y?: number

  #### Returns FramePropertiesAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in src/file/xml-components/default-attributes.ts:11

## Methods

### prepForXml

- prepForXml(_: IContext): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in src/file/xml-components/default-attributes.ts:16

Generated using TypeDoc